* {
    font-family: Arial, sans-serif;
    text-align: center;
}

.error {
    font-weight: bold;
    color: red;
}

#title {
    text-align: center;
    margin: 20px 10px 10px 10px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    position: relative;
}

#titleLogo {
    height: 80.379px;
    float: left;
}

.small {
    font-size: small;
}

#container {
    display: flex;
    flex-flow: row wrap;
}

.tool {
    position: relative;
    flex: 1 1 250px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 250px;
    height: 270px;
    margin: 10px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.tool:hover {
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transform: translateY(-2px);
    transition: all 0.3s ease;
}

.toolLogo {
    width: 100px;
    height: 100px;
    object-fit: contain;
    margin-bottom: 10px;
    border-radius: 20%;
}

.toolName {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 5px;
}

.toolDescription {
    font-size: 0.9em;
    text-align: center;
    margin-bottom: 10px;
}


.toolLink {
    text-decoration: none;
    color: #007BFF;
    font-weight: bold;
    display: block;
    padding: 5px 10px;
}
.toolLink:hover {
    text-decoration: underline;
}

#toolSuggestion {
    position: fixed;
    z-index: 1000;
    bottom: 20px;
    left: 50%;
    background-color: #f8f9fa;
    padding: 10px 30px 10px 20px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transform: translateX(-50%);
    text-align: center;
    
}

#closeSuggestion {
    cursor: pointer;
    font-weight: bold;
    color: #dc3545;
    position: absolute;
    top: 10px;
    right: 10px;
}

#searchContainer {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0px 10px 0px;
    width: 100%;
}

#searchInput {
    margin: 0px 10px 0px 10px;
    width: 300px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-size: 1em;
    flex: 1 1 auto;
}

.featuredLabel {
    position: absolute;
    display: block;
    font-weight: bold;
    z-index: 500;
    padding: 5px 10px;
    border-radius: 10px;
    top: 5px;
    left: 5px;
    background-image: linear-gradient(90deg, #ffe066, #f1c40f, #ffe066);
    background-size: 200% 100%;
    background-position: 100% 0%;
    animation: shine 0.75s ease-in-out infinite alternate;
}

@keyframes shine {
    from {
        background-position: 0% 0%;
    }

    to {
        background-position: 100% 0%;
    }
}